Page MenuHomePhabricator

Open the download panel when the contextual menu is opened over an image
Closed, ResolvedPublic

Description

Many users right-click on images as a way to download them (clicking the "save as.." option in the contextual menu). This is bad because users may get the scaled-down version which is used for display purposes and they are not given guidance on how to attribute.

The download panel should be automatically opened when the user opens a contextual menu on an image, so that we can help users to discover an easy way to get the original file (or other sizes) as well as remind about the need for attribution.

See also: T75963, T75962, T76001

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added a project: MediaViewer.
Pginer-WMF changed Security from none to None.
Pginer-WMF added a subscriber: Pginer-WMF.
Gilles triaged this task as Medium priority.Nov 26 2014, 4:08 PM
Gilles added a project: Multimedia.
Gilles added a subscriber: Gilles.

Change 182353 had a related patch set uploaded (by Namit):
Open the download panel when an image is right clicked

https://gerrit.wikimedia.org/r/182353

Patch-For-Review

Gilles assigned this task to Namit.Jan 7 2015, 5:19 PM
Gilles moved this task from Untriaged to Ready for testing on the Multimedia board.Jan 7 2015, 5:25 PM

Change 182353 merged by jenkins-bot:
Open the download panel when an image is right clicked

https://gerrit.wikimedia.org/r/182353

Tgr added a subscriber: Tgr.Jan 9 2015, 1:17 AM

Can we test this, or ask people to try it on beta? I still feel that this approach is too aggressive and might confuse users.

Gilles closed this task as Resolved.Jan 14 2015, 3:46 PM
Gilles moved this task from Ready for testing to Doing on the Multimedia board.
Jdforrester-WMF moved this task from Doing to Done on the Multimedia board.Oct 23 2015, 4:59 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 23 2015, 4:59 PM